Question

I'm trying to build the python bindings (have downloaded and installed the gpstk-2.2.win64.exe and unzipped gpstk-2.2.src.tar.gz) i run python setup.py instal and i get this

C:\Users\drooney\GPSTK\gpstk>python setup.py install

running install

running build

running build_py

error: package directory 'apps\bindings_installer\gpstk' does not exist

build_py doesn't seem to be creating a gpstk folder und the bindings_installer directory. Can anyone help me out? Thanks -Danny

-- DannyRooney - 03 Oct 2013

Answer

ALERT! If you answer a question - or have a question you asked answered by someone - please remember to edit the page and set the status to answered. The status is in a drop-down list below the edit box.

Hello Danny,

I'm not sure if you have had any success with the Python issues you described above, but I apologize in the delay in responding to your question. The individual who wrote the python bindings has taken temporary leave, so that has slowed progress down, but we are currently working on cleaning up the python bindings for the v2.3 release in november.

-- BryanParsons - 30 Oct 2013

I've tried to use the python bindingd in V2.3 but they seem to be just the same as in the V2.2 release. Is there any way I can get hold of a developer copy of the code tree and try out the python bindings there? It appears that there are still references to the 'dev' area in the V2.3 release.

-- TonyWillis - 10 Jan 2014

Hello Tony,

Could you clarify which install method you are having issues with?

We are aware that the setup.py install option is not currently working. The CMake build/install, however, should be up-to-date and working fine (http://www.gpstk.org/pythondoc/build.html#building-with-cmake-developer-build-install).

If you are having any other issues, let me know and I'll be glad to provide you with a patch or code update.

I apologize for the confusion and we are working on updating our documentation and wiki information for the Toolkit.

-- BryanParsons - 13 Jan 2014

Hi Bryan

As you said that the cmake version should work I made another attempt to generate the python bindings. After banging my head against the wall a few times, the following sequence of activities worked. I'm using your release version and not the developer version, so ....

0) build gpstk 2.3 cxx version - I had no problems

1) in gpstk top directory make symbolic link dev to gpstk: e.g. dev -> /home/twillis/gpstk - so the directory contains a symbolic link to itself!

2) cd to dev and run doxygen

3) make sure you have swig >= 2.0

4) cd ~/gpstk/dev/apps/bindings/swig

5) edit docstring_generator.py and change 45 in line 56 to 41 # bad coding approach IMHO

6) python docstring_generator.py

7) cd ~/gpstk/apps/bindings/swig; ie. no 'dev' in the path

8) edit CMakeLists.txt and, if you have g++ 4.6 or earlier, replace line 44 with: set(CMAKE_CXX_FLAGS "-std=c++0x -std=gnu++0x ")

9) cd bin

10) cmake ..

11) make

12) sudo python gpstk_builder.py /usr/local/lib/python2.7/dist-packages

et voila!! I think smile

Note: I use 64 bit Ubuntu 12.04 linux as my OS.

-- TonyWillis - 14 Jan 2014

Tony,

I'm glad to see that you were able to build it successfully. We apologize for the issues you were experiencing.

The Python bindings are still a work in progress, so we have a lot of kinks to work out, and your feedback will be put to good use.

Thanks for your interest in the GPS Toolkit, and let us know if you have any other issues or additional feedback to provide!

-- BryanParsons - 15 Jan 2014 No such template def TMPL:DEF{PROMPT:supportquery}

Topic revision: r8 - 15 Jan 2014, BryanParsons
 

This site is powered by FoswikiCopyright © by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding Foswiki? Send feedback